List Users

Returns a list of a Company’s users by role. Equivalent Storefront GraphQL API Query: `users`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). The `role` parameter allows you to filter for users that have a predefined Company role. You can also view all users in a Company, or users with an unknown role.

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Query parameters

qstringOptional
The search string for the request.
roleenumRequired
The ID of the role assigned to the Company user account as given below. | Value | Code | | --- | --- | | 0 | Admin | | 1 | Senior Buyer | | 2 | Junior Buyer | | 3 | Super Admin | | 4 | Unknown |
Allowed values:
limitstringOptionalDefaults to 10
The total number of items per page of the response.
offsetstringOptional
The number of items to skip before the current page of the response.

Response

OK
codedoubleDefaults to 200
dataobject
messagestringDefaults to SUCCESS